Bug 422881 - Using lftp with -c options causes hangs
Using lftp with -c options causes hangs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lftp (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jiri Skala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 23:34 EST by Tom Sightler
Modified: 2014-11-09 17:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:38:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Sightler 2007-12-12 23:34:20 EST
Description of problem:
We have been using the mirror feature of lftp with RHEL3 and RHEL4 for years 
without issues, however, since upgrading the RHEL5 all of our mirror scripts 
started hanging.  This appears to be a known issue with the -c option in the 
version of lftp currently included with RHEL5 (3.5.1) and was fixed in the next 
release (3.5.2).

I'm requesting that lftp either be upgraded to a more recent 3.5.x release, or 
at least backport the -c fixes from 3.5.2 so that the mirror function becomes 
usable again. 

Version-Release number of selected component (if applicable):
lftp-3.6.1-1.el5.rf

How reproducible:
Pretty much alwasy when using the -c option with mirror or get.

Steps to Reproduce:
1. Use lftp -c mirror or -c get and watch process hang.
2.
3.
  
Actual results:
lftp hangs and never completes.

Expected results:
lftp should get the files as requested

Additional info:
Comment 2 RHEL Product and Program Management 2008-06-04 18:47:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 errata-xmlrpc 2009-09-02 05:38:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1278.html

Note You need to log in before you can comment on or make changes to this bug.